Browse Source

BUILDING.md: clarify that wxWidgets 3.1.4 is in Fedora 34

Fedora 34 will not be updated to wxWidgets 3.1.5:
https://bugzilla.redhat.com/show_bug.cgi?id=1948935#c1

Reference-to: https://github.com/tenacityteam/tenacity/pull/496
Signed-off-by: Be <be@mixxx.org>
pull/496/head
Be 11 months ago
committed by Sol Fisher Romanoff
parent
commit
4ad5968c34
No known key found for this signature in database GPG Key ID: E0ACA5D1C244E1F
  1. 6
      BUILDING.md

6
BUILDING.md

@ -83,9 +83,9 @@ Then install Tenacity's dependencies:
sudo dnf install alsa-lib-devel cmake expat-devel flac-devel gcc-g++ gettext-devel lame-devel libid3tag-devel libmad-devel libogg-devel libsndfile-devel libvorbis-devel lilv-devel lv2-devel portaudio-devel portmidi-devel serd-devel sord-devel soundtouch-devel soxr-devel sqlite-devel sratom-devel suil-devel taglib-devel twolame-devel vamp-plugin-sdk-devel wxGTK-devel zlib-devel ccache ninja-build git ffmpeg-devel
```
If you use a high DPI screen, the wxWidgets 3.1.4 package in Fedora does
not work well for that. You can compile wxWidgets 3.1.5 instead of using
the Fedora package. Refer to the
If you use a high DPI screen, the wxWidgets 3.1.4 package in Fedora 34
does not work well for that. You can compile wxWidgets 3.1.5 instead of
using the Fedora package. Refer to the
[wxWidgets documentation](https://docs.wxwidgets.org/3.1/overview_cmake.html)
for details. If you install wxWidgets somewhere other than the default
/usr/local, you need to set the `WX_CONFIG` environment variable to

Loading…
Cancel
Save